Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.windows
Class ExtWindowsSplitPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SplitPaneUI
              javax.swing.plaf.basic.BasicSplitPaneUI
                  com.sun.java.swing.plaf.windows.WindowsSplitPaneUI
                      com.jgoodies.plaf.windows.ExtWindowsSplitPaneUI

public final class ExtWindowsSplitPaneUI
extends com.sun.java.swing.plaf.windows.WindowsSplitPaneUI

The JGoodies Windows Look&Feel implementation of `SplitPaneUI`.

It can replace obsolete `Border`s and uses a special divider, that paints modified one-touch buttons

Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`BasicSplitPaneUI.BasicHorizontalLayoutManager, BasicSplitPaneUI.BasicVerticalLayoutManager, BasicSplitPaneUI.FocusHandler, BasicSplitPaneUI.KeyboardDownRightHandler, BasicSplitPaneUI.KeyboardEndHandler, BasicSplitPaneUI.KeyboardHomeHandler, BasicSplitPaneUI.KeyboardResizeToggleHandler, BasicSplitPaneUI.KeyboardUpLeftHandler, BasicSplitPaneUI.PropertyHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`beginDragDividerLocation, divider, dividerResizeToggleKey, dividerSize, downKey, draggingHW, endKey, focusListener, homeKey, KEYBOARD_DIVIDER_MOVE_OFFSET, keyboardDownRightListener, keyboardEndListener, keyboardHomeListener, keyboardResizeToggleListener, keyboardUpLeftListener, layoutManager, leftKey, NON_CONTINUOUS_DIVIDER, nonContinuousLayoutDivider, propertyChangeListener, rightKey, splitPane, upKey`

Constructor Summary
`ExtWindowsSplitPaneUI()`

Method Summary
`BasicSplitPaneDivider` | `createDefaultDivider()` Creates the default divider.
`static ComponentUI` | `createUI(JComponent x)` Creates and answers a `ExtWindowsSplitPaneUI` instance.
`void` | `paint(Graphics g, JComponent c)` Replaces the scrollpane's `Border` if appropriate, then paints.
`protected void` | `uninstallDefaults()` Restores the original `Border`, in case we replaced it.

Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`createDefaultNonContinuousLayoutDivider, createFocusListener, createKeyboardDownRightListener, createKeyboardEndListener, createKeyboardHomeListener, createKeyboardResizeToggleListener, createKeyboardUpLeftListener, createPropertyChangeListener, dragDividerTo, finishDraggingTo, finishedPaintingChildren, getDivider, getDividerBorderSize, getDividerLocation, getInsets, getLastDragLocation, getMaximumDividerLocation, getMaximumSize, getMinimumDividerLocation, getMinimumSize, getNonContinuousLayoutDivider, getOrientation, getPreferredSize, getSplitPane, installDefaults, installKeyboardActions, installListeners, installUI, isContinuousLayout, resetLayoutManager, resetToPreferredSizes, setContinuousLayout, setDividerLocation, setLastDragLocation, setNonContinuousLayoutDivider, setNonContinuousLayoutDivider, setOrientation, startDragging, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtWindowsSplitPaneUI

    public ExtWindowsSplitPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

  Creates and answers a `ExtWindowsSplitPaneUI` instance.

### createDefaultDivider

    public BasicSplitPaneDivider createDefaultDivider()

  Creates the default divider.

### paint

    public void paint(Graphics g,
                      JComponent c)

  Replaces the scrollpane's `Border` if appropriate, then paints.

### uninstallDefaults

    protected void uninstallDefaults()

  Restores the original `Border`, in case we replaced it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.